Gateway Custom Domains - List
Handle requests to list all Spring Cloud Gateway custom domains.
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AppPlatform/Spring/{serviceName}/gateways/{gatewayName}/domains?api-version=2023-12-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
gateway
|
path | True |
string pattern: ^[a-z][a-z0-9]*$ |
The name of Spring Cloud Gateway. |
|
resource
|
path | True |
string |
The name of the resource group that contains the resource. You can obtain this value from the Azure Resource Manager API or the portal. |
|
service
|
path | True |
string pattern: ^[a-z][a-z0-9-]*[a-z0-9]$ |
The name of the Service resource. |
|
subscription
|
path | True |
string |
Gets subscription ID which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Success. The response describes the list of Spring Cloud Gateway custom domains. |
|
| Other Status Codes |
Error response describing why the operation failed. |
Security
azure_auth
Azure Active Directory OAuth2 Flow
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
GatewayCustomDomains_List
Sample request
GET https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.AppPlatform/Spring/myservice/gateways/default/domains?api-version=2023-12-01
Sample response
{
"value": [
{
"properties": {
"thumbprint": "*"
},
"systemData": {
"createdBy": "sample-user",
"createdByType": "User",
"createdAt": "2021-08-11T03:16:03.944Z",
"lastModifiedBy": "sample-user",
"lastModifiedByType": "User",
"lastModifiedAt": "2021-08-11T03:17:03.944Z"
},
"type": "Microsoft.AppPlatform/Spring/gateways/domains",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/myResourceGroup/providers/Microsoft.AppPlatform/Spring/myservice/gateways/default/domains/myDomain",
"name": "myDomain"
}
]
}
Definitions
| Name | Description |
|---|---|
|
Cloud |
An error response from the service. |
|
Cloud |
An error response from the service. |
|
created |
The type of identity that created the resource. |
|
Gateway |
The properties of custom domain for Spring Cloud Gateway |
|
Gateway |
Custom domain of the Spring Cloud Gateway |
|
Gateway |
Object that includes an array of Spring Cloud Gateway custom domain resources and a possible link for next set |
|
last |
The type of identity that last modified the resource. |
|
System |
Metadata pertaining to creation and last modification of the resource. |
CloudError
An error response from the service.
| Name | Type | Description |
|---|---|---|
| error |
An error response from the service. |
CloudErrorBody
An error response from the service.
| Name | Type | Description |
|---|---|---|
| code |
string |
An identifier for the error. Codes are invariant and are intended to be consumed programmatically. |
| details |
A list of additional details about the error. |
|
| message |
string |
A message describing the error, intended to be suitable for display in a user interface. |
| target |
string |
The target of the particular error. For example, the name of the property in error. |
createdByType
The type of identity that created the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
GatewayCustomDomainProperties
The properties of custom domain for Spring Cloud Gateway
| Name | Type | Description |
|---|---|---|
| thumbprint |
string |
The thumbprint of bound certificate. |
GatewayCustomDomainResource
Custom domain of the Spring Cloud Gateway
| Name | Type | Description |
|---|---|---|
| id |
string |
Fully qualified resource Id for the resource. |
| name |
string |
The name of the resource. |
| properties |
The properties of custom domain for Spring Cloud Gateway |
|
| systemData |
Metadata pertaining to creation and last modification of the resource. |
|
| type |
string |
The type of the resource. |
GatewayCustomDomainResourceCollection
Object that includes an array of Spring Cloud Gateway custom domain resources and a possible link for next set
| Name | Type | Description |
|---|---|---|
| nextLink |
string |
URL client should use to fetch the next page (per server side paging). It's null for now, added for future use. |
| value |
Collection of Spring Cloud Gateway custom domain resources |
lastModifiedByType
The type of identity that last modified the resource.
| Value | Description |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
SystemData
Metadata pertaining to creation and last modification of the resource.
| Name | Type | Description |
|---|---|---|
| createdAt |
string (date-time) |
The timestamp of resource creation (UTC). |
| createdBy |
string |
The identity that created the resource. |
| createdByType |
The type of identity that created the resource. |
|
| lastModifiedAt |
string (date-time) |
The timestamp of resource modification (UTC). |
| lastModifiedBy |
string |
The identity that last modified the resource. |
| lastModifiedByType |
The type of identity that last modified the resource. |